Skip to content
FeedbackDashboard

Download build target output

GET/v0/build_target_outputs

Retrieve a method to download an output for a given build target.

If the requested type of output is source, and the requested output method is url, a download link to a tarball of the source files is returned. If the requested output method is git, a Git remote, ref, and access token (if necessary) is returned.

Otherwise, the possible types of outputs are specific to the requested target, and the output method must be url or content. See the documentation for type for more information.

The content output method returns the raw content of the output inline, instead of a download URL, and is only supported for the openapi-* and file types.

Query ParametersExpand Collapse
build_id: string

Build ID

target: "node" or "typescript" or "python" or 10 more

SDK language target name

One of the following:
"node"
"typescript"
"python"
"go"
"java"
"kotlin"
"ruby"
"terraform"
"cli"
"php"
"csharp"
"sql"
"openapi"
type: "source" or "dist" or "wheel" or 4 more
One of the following:
"source"
"dist"
"wheel"
"openapi-with-transforms"
"openapi-with-code-samples"
"openapi-sdk-spec"
"file"
output: optional "url" or "git" or "content"

Output format: url (download URL), git (temporary access token), or content (raw content returned inline, only supported for the “openapi-*” and “file” types).

One of the following:
"url"
"git"
"content"
path: optional string

The path of the file to get when used with “type”: “file”.

ReturnsExpand Collapse
URL object { output, target, type, 2 more }
output: "url"
target: Target
One of the following:
"node"
"typescript"
"python"
"go"
"java"
"kotlin"
"ruby"
"terraform"
"cli"
"php"
"csharp"
"sql"
"openapi"
type: "source" or "dist" or "wheel" or 4 more
One of the following:
"source"
"dist"
"wheel"
"openapi-with-transforms"
"openapi-with-code-samples"
"openapi-sdk-spec"
"file"
url: string

URL for direct download

path: optional string

The path of the file, which is only present when using with the type “file” option.

Git object { token, output, ref, 3 more }
token: string

Temporary GitHub access token

output: "git"
ref: string

Git reference (commit SHA, branch, or tag)

target: Target
One of the following:
"node"
"typescript"
"python"
"go"
"java"
"kotlin"
"ruby"
"terraform"
"cli"
"php"
"csharp"
"sql"
"openapi"
type: "source" or "dist" or "wheel" or 4 more
One of the following:
"source"
"dist"
"wheel"
"openapi-with-transforms"
"openapi-with-code-samples"
"openapi-sdk-spec"
"file"
url: string

URL to git remote

Content object { content, output, target, 2 more }
content: string

The raw content of the output

output: "content"
target: Target
One of the following:
"node"
"typescript"
"python"
"go"
"java"
"kotlin"
"ruby"
"terraform"
"cli"
"php"
"csharp"
"sql"
"openapi"
type: "source" or "dist" or "wheel" or 4 more
One of the following:
"source"
"dist"
"wheel"
"openapi-with-transforms"
"openapi-with-code-samples"
"openapi-sdk-spec"
"file"
path: optional string

The path of the file, which is only present when using with the type “file” option.

Download build target output

curl https://api.stainless.com/v0/build_target_outputs \
    -H "Authorization: Bearer $STAINLESS_API_KEY"
{
  "output": "url",
  "target": "node",
  "type": "source",
  "url": "url",
  "path": "path"
}
Returns Examples
{
  "output": "url",
  "target": "node",
  "type": "source",
  "url": "url",
  "path": "path"
}